Bug 164713 - jcf-dump documentation is incomplete (and confusing)
jcf-dump documentation is incomplete (and confusing)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-30 17:25 EDT by Paul Bolle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-05 18:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 23258 None None None Never

  None (edit)
Description Paul Bolle 2005-07-30 17:25:56 EDT
Description of problem:
The documentation of jcf-dump is incomplete (and confusing)

Version-Release number of selected component (if applicable):
gcc-java-4.0.1-4.fc4


How reproducible:
Always

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:
n/a

Expected results:
n/a

Additional info:
0) man jcf-dump and info jcf-dump are (basically) identical. Neither mention:
--bootclasspath
--extdirs
--print-main

1) jcf-dump --help doesn't mention:
--CLASSPATH
--print-main
--print-constants

2) Neither info/man nor --help mention that you can use jcf-dump on (all classes
in) a jar archive.

3) Nowhere in the documentation is it stated clearly that you can jcf-dump
classfiles (not just classes).

4) The description of -o in man and info is slightly puzzling: "Th[is] options
[is] the same as the corresponding gcj option(...)."

5) The descriprition of --extdirs in --help is also intruiging: "Set extensions
directory path". That doesn't seem sufficient to me.

6) Should I file a bug upstream? If so, what is the actual gcc component involved?
Comment 1 Jakub Jelinek 2005-08-05 18:19:22 EDT
Yes, this should be definitely filed upstream, not here.
http://gcc.gnu.org/bugzilla/, component libgcj.
When it is fixed upstream, it will eventually make it into Fedora Core packages.
Comment 2 Paul Bolle 2005-08-06 00:51:35 EDT
OK, I've done that. Upstream is http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23258

Note You need to log in before you can comment on or make changes to this bug.